%define section   free

Name:           jmock
Version:        1.0.1
Release:        2jpp
Epoch:          0
Summary:        Test Java code using mock objects

Group:          Development/Libraries/Java
License:        BSD-style
URL:            http://jmock.codehaus.org/
Source0:        jmock-1.0.1-src.jar
Patch0:         jmock-1.0.1-MethodFactory.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit >= 0:3.8.1
BuildRequires:  cglib >= 0:2.1
BuildRequires:  asm >= 0:1.5.3
Requires:  cglib >= 0:2.1
Requires:  asm >= 0:1.5.3

%description
jMock is a library for testing Java code using mock objects.
Mock objects help you design and test the interactions between the 
objects in your programs.
The jMock package:
* makes it quick and easy to define mock objects, so you don't break 
  the rhythm of programming.
* lets you define flexible constraints over object interactions, 
  reducing the brittleness of your tests.
* is easy to extend.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
%{summary}.


%prep
%setup -q -c %{name}-%{version}
mv %{name}-%{version}/* .
rmdir %{name}-%{version}
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
asm/asm \
cglib)
CLASSPATH=build/core:build/cglib:$CLASSPATH
ant -Dbuild.sysclasspath=only


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 build/dist/jars/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -pm 644 build/dist/jars/%{name}-cglib-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-cglib-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-cglib-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-cglib.jar
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc-%{version}/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files
%defattr(-,root,root,-)
%doc LICENSE.txt overview.html
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{version}


%changelog
* Wed Nov 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.1-2jpp
- Fix asm classpath
- Fix license
- No ghost in demo
- javadoc postun
- Promote to free
- Version 48 classfiles are created
- activemq, qdox and xstream successful unit tests with this jmock version

* Wed Mar 16 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.1-1jpp
- Upgrade to 1.0.1
- Patch to adapt to asm-1.5.3
- Built with asm-1.5.3 and cglib-2.1.0

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0.0-3jpp
- Rebuild with ant-1.6.2
- Upgrade to Ant 1.6.X
* Fri Jun 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.0-2jpp
- Graduate to free section for use with qdox-1.4

* Tue Jun 01 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.0-1jpp
- First JPackage release

